Bug 983670 - would like to improve the description for auto-attach module
Summary: would like to improve the description for auto-attach module
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 6.5
Assignee: Bryan Kearney
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks: rhsm-rhel65
TreeView+ depends on / blocked
 
Reported: 2013-07-11 16:35 UTC by John Sefler
Modified: 2013-11-21 21:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Improve description for auto-attach subcommand. Reason: Original description was confusing to users. Result (if any):
Clone Of:
Environment:
Last Closed: 2013-11-21 21:26:32 UTC


Attachments (Terms of Use)
Changed string for Auto-Attach (365.91 KB, image/png)
2013-08-27 17:53 UTC, Sharath Dwaral
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1659 normal SHIPPED_LIVE subscription-manager and python-rhsm bug fix and enhancement update 2013-11-20 21:53:10 UTC

Description John Sefler 2013-07-11 16:35:38 UTC
Description of problem:

Current description...

[root@jsefler-5 ~]# subscription-manager --help | grep auto-attach
  auto-attach    Set if this system runs auto-attach each check-in

[root@jsefler-5 ~]# subscription-manager auto-attach --help | grep Usage -A2
Usage: subscription-manager auto-attach [OPTIONS]

Set if this system runs auto-attach each check-in


I would like to improve the description "Set if this system runs auto-attach each check-in".   How about one of these...

A. Set the preference for automatically attaching subscriptions at each rhsmcertd interval check
B. Set the preference for automatically attaching subscriptions
C. Enable the preference for automatic subscription attachment at each check of rhsmcertd.autoAttachInterval
D. Enable the preference for automatic subscription attachment
E. Set the preference for auto-attaching subscriptions at each rhsmcertd.autoAttachInterval


Version-Release number of selected component (if applicable):
[root@jsefler-5 ~]# rpm -q subscription-manager
subscription-manager-1.8.13-1.git.1.ba56998.el5

Comment 1 RHEL Product and Program Management 2013-07-11 16:47:28 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.

Comment 2 Matt Reid 2013-07-11 20:24:06 UTC
Of those, I like B the most, but we might be able to give more context.

How about something like:
1. Set if auto-attach is run on a schedule (default of daily)
2. Set if subscriptions are attached on a schedule (default of daily)

might be too much information to include where to edit it, or at least would take us from fitting on one line in the terminal to two, but it's an interesting thought. Not sure if saying rhsmcertd or rhscertd.autoAttachInterval would make them realize they could edit it in the config module, or if we'd want to point them to rhsm.conf.

Comment 3 Matt Reid 2013-07-12 13:59:41 UTC
We should probably update the GUI string we currently have to be more in line with what we update the CLI to be.

GUI currently reads:
If enabled, your system will try to attach subscriptions for any uncovered products each check-in

Maybe update the GUI to:
If enabled, subscriptions are attached for any uncovered products on a schedule (default of daily).

We have a little more room in the GUI, so I'd like to add in the extra context of 'uncovered products' if possible, vs the CLI string.

Comment 4 Bryan Kearney 2013-07-17 17:28:31 UTC
Strint change, moving to RHEL 6.5.

Comment 6 Cory Scheviak 2013-07-18 18:55:09 UTC
fad286c8844cc6b65d62977b3b245257e34c641b

subscription-manager.git

Comment 9 Sharath Dwaral 2013-08-27 17:53:28 UTC
Created attachment 791133 [details]
Changed string for Auto-Attach

Version

# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: Unknown
subscription-manager: 1.9.5-1.el6
python-rhsm: 1.9.4-1.el6


Verification:

GUI verification: (See Attachment)

CLI Verification:

# subscription-manager --help | grep auto-attach
  auto-attach    Set if subscriptions are attached on a schedule (default of daily)


# subscription-manager auto-attach --help | grep Usage -A2
Usage: subscription-manager auto-attach [OPTIONS]

Set if subscriptions are attached on a schedule (default of daily)


VERIFIED

Comment 10 errata-xmlrpc 2013-11-21 21:26:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1659.html


Note You need to log in before you can comment on or make changes to this bug.